Home//Roles
Roles
Introduction
Changelog (2.18)
Intercom API
Admins
AI Content
Articles
Audiences
Auth Tokens
Away Status Reasons
Banners
Brands
Calls
Companies
Contacts
Content
Content Snippets
Conversations
Conversations Attributes
Custom Object Instances
Data Attributes
Data Connectors
Data Events
Data Export
Ecommerce Connectors
Dynamic Content
Emails
Fin Agent
Folders
Help Center
Internal Articles
IP Allowlist
Jobs
Macros
Messages
News
Notes
Office Hours
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
WhatsApp
Workflows
Models
You can fetch a list of all roles in the workspace.
Roles define what a teammate can do in a workspace. The teammates endpoint returns the role a teammate holds, but only the roles that are currently assigned, and only their id and name. This endpoint lists every role in the workspace, each with its description.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.18
- The production API serverhttps://api.intercom.io/roles
- The european API serverhttps://api.eu.intercom.io/roles
- The australian API serverhttps://api.au.intercom.io/roles
curl -i -X GET \
https://api.intercom.io/roles \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.18'successful
dataArray of objects(Role)
A list of role objects
Example:
[ { "type": "role", "id": "991267902", "name": "Support Lead", "description": "Can view and reply to conversations" } ]
Response
{ "type": "list", "data": [ { … } ] }